<?php

/**
* カスタムメニュー wp_nav_menu
*/


add_filter( 'wp_nav_menu_args', 'my_nav_menu_args' );

function my_nav_menu_args( $args ) {

  //$args = (object) $args;
  
	if(!$args['walker']){
	
		$args['walker'] = new My_Walker_Nav_Menu;
		
	}
	
	return $args;

}

add_theme_support('menus'); 

class My_Walker_Nav_Menu extends Walker_Nav_Menu{

      function start_el(&$output, $item, $depth, $args){
	  
         global $wp_query;
		 

           $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

           $class_names = $value = '';

           $classes = empty( $item->classes ) ? array() : (array) $item->classes;

           $class_names = join(' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
           $class_names = ' class="'. esc_attr( $class_names ) . '"';

           $output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';

          // $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
           $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
           $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
           $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';

           $prepend = '<span class="menu_title">';
           $append = '</span>';
		   
           $attr_title  = ! empty( $item->attr_title ) ? '<span class="menu_description">'.esc_attr( $item->attr_title ).'</span>' : '';

           /*if($depth != 0){
              $description = $append = $prepend = "";
           }
*/
            $item_output = $args->before;
            $item_output .= '<a'. $attributes .'>';
            $item_output .= $args->link_before .$prepend.apply_filters( 'the_title', $item->title, $item->ID ).$append;
            $item_output .= $attr_title.$args->link_after;
            $item_output .= '</a>';
            $item_output .= $args->after;

            $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
			
            }
}


/**
* カスタムメニュー wp_nav_menu dropdown
*/

class Walker_Nav_Menu_Dropdown extends Walker_Nav_Menu{

    function start_lvl(&$output, $depth){
      $indent = str_repeat("\t", $depth); // don't output children opening tag (`<ul>`)
    }

    function end_lvl(&$output, $depth){
      $indent = str_repeat("\t", $depth); // don't output children closing tag
    }

    function start_el(&$output, $item, $depth, $args){
      // add spacing to the title based on the depth

	$class_names = $value = '';
    $classes = empty( $item->classes ) ? array() : (array) $item->classes;
    $selected = in_array("current_page_item",$item->classes) ? ' selected="selected"' : '';
		
   	$item->title = str_repeat("&nbsp;", $depth * 4).$item->title;
	  
	  
		$item->object_id;		
		
        //$output .= $indent.' id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';  
        $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';  
        $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';  
        $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';  
        $attributes .= ! empty( $item->url )        ? ' value="'   . esc_attr( $item->url        ) .'"' : ''; 
        
        $item_output .= '<option'.$attributes.$selected.'>'.$args->link_before.apply_filters( 'the_title', $item->title, $item->ID ).'</option>';  
        
        $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );  

      // no point redefining this method too, we just replace the li tag...
      //$output = str_replace('<li', '<option', $output);
    }
	
    function end_el(&$output, $item, $depth){
      //$output .= "</option>\n"; // replace closing </li> with the option tag
    }
}

/**
* カスタムメニュー wp_nav_menu mobile
*/

class Walker_Nav_Menu_mobile extends Walker_Nav_Menu{

    function start_lvl(&$output, $depth){
      $indent = str_repeat("\t", $depth); // don't output children opening tag (`<ul>`)
    }

    function end_lvl(&$output, $depth){
      $indent = str_repeat("\t", $depth); // don't output children closing tag
    }

    function start_el(&$output, $item, $depth, $args){
      // add spacing to the title based on the depth
     // $item->title = str_repeat("&nbsp;", $depth * 4).$item->title;

        //$output .= $indent.' id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';  
        $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';  
        $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';  
        $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';  
        $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';  
        
		$item_output = $args->before;
		$item_output .= '<a'. $attributes .'>'.$args->link_before .apply_filters( 'the_title', $item->title, $item->ID ).$append.$description.$args->link_after.'</a><br />';
		$item_output .= '<div style="text-align:center;"><img src="'.get_bloginfo('template_directory').'/images/dott.gif" /></div>';
		$item_output .= $args->after;
        
        $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );  

      // no point redefining this method too, we just replace the li tag...
      //$output = str_replace('<li', '<option', $output);
    }
	
    function end_el(&$output, $item, $depth){

    }
}
?>